%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-File-chdir
Version:       0.1010
Release:       1mamba
Summary:       File::chdir - a more sensible way to change directories  
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/File-chdir-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
File::chdir - a more sensible way to change directories.

%prep
%setup -q -n File-chdir-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Wed Feb 11 2015 Automatic Build System <autodist@mambasoft.it> 0.1010-1mamba
- automatic update by autodist

* Mon Sep 29 2014 Automatic Build System <autodist@mambasoft.it> 0.1009-1mamba
- automatic update by autodist

* Thu Mar 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1008-1mamba
- package created by silvan using the webbuild interface
